Eclipse Platform Release 3.7

## org.eclipse.ui.actions
Class OpenInNewWindowAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.ui.actions.OpenInNewWindowAction

All Implemented Interfaces:
  IAction, ActionFactory.IWorkbenchAction

    public class OpenInNewWindowAction

extends Action
implements ActionFactory.IWorkbenchAction

Opens a new window. The initial perspective for the new window will be the same type as the active perspective in the window which this action is running in. The default input for the new window's page is application-specific.

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`OpenInNewWindowAction(IWorkbenchWindow window)` Creates a new `OpenInNewWindowAction`.
`OpenInNewWindowAction(IWorkbenchWindow window, IAdaptable input)` Creates a new `OpenInNewWindowAction`.

Method Summary
`void` `dispose()` Disposes of this action.
`void` `run()` The implementation of this `IAction` method opens a new window.
`void` `setPageInput(IAdaptable input)` Set the input to use for the new window's page.

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction

`addPropertyChangeListener, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, removePropertyChangeListener, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Constructor Detail

### OpenInNewWindowAction

    public OpenInNewWindowAction(IWorkbenchWindow window)

  Creates a new `OpenInNewWindowAction`. Sets the new window page's input to be an application-specific default.

  Parameters:
    `window` - the workbench window containing this action

### OpenInNewWindowAction

    public OpenInNewWindowAction(IWorkbenchWindow window,
                                 IAdaptable input)

  Creates a new `OpenInNewWindowAction`.

  Parameters:
    `window` - the workbench window containing this action
    `input` - the input for the new window's page

Method Detail

### setPageInput

    public void setPageInput(IAdaptable input)

  Set the input to use for the new window's page.

  Parameters:
    `input` - the input

### run

    public void run()

  The implementation of this `IAction` method opens a new window. The initial perspective for the new window will be the same type as the active perspective in the window which this action is running in.

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `Action`

### dispose

    public void dispose()

  Description copied from interface: `ActionFactory.IWorkbenchAction`
  Disposes of this action. Once disposed, this action cannot be used. This operation has no effect if the action has already been disposed.

  Specified by:
    `dispose` in interface `ActionFactory.IWorkbenchAction`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.